|

Decrypt data from a user's vault

post/users/{fp_id}/vault/decrypt
External ID
Decrypts the specified list of Data Identifiers from the provided user's vault.

Request

Path parameters

fp_id·

string

Body

fields·

array of strings

List of data identifiers to decrypt. For example, id.first_name, id.ssn4, custom.bank_account

Allowed values:

id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_id
custom.*
investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sources
document.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.image
reason·

string

Reason for the data decryption. This will be logged
transforms·

optional array of strings

A list of filter and transform functions to apply to each decrypted datum. Omit or leave empty to apply no transforms. Can find more information on allowed transform functions on our docs

Allowed values:

to_lowercase
to_uppercase
to_ascii
prefix(<n>)
suffix(<n>)
replace('<from>','<to>')
date_format('<from_format>','<to_format>')
hmac_sha256('<key>')
encrypt('<algorithm>','<public_key>')
wrap_quotes

Response

A key-value map with the corresponding decrypted values
<key>·

string

Allowed values:

id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_id
custom.*
investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sources
document.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.image
<value>·

string | integer | boolean | object

POST /users/{fp_id}/vault/decrypt
1curl -X POST https://api.onefootprint.com/users/{fp_id}/vault/decrypt \
2  -u sk_test_xxxxx: \
3  -d '{
4    "fields": [
5      "id.first_name",
6      "id.last_name"
7    ],
8    "reason": "Lorem ipsum dolor"
9  }'
Response example
{
  "id.first_name": "Jane",
  "id.last_name": "Doe"
}